Package org.springframework.aop.framework

# Class DefaultAdvisorChainFactory

java.lang.Object
org.springframework.aop.framework.DefaultAdvisorChainFactory

All Implemented Interfaces:
  `Serializable`, `AdvisorChainFactory`

public class DefaultAdvisorChainFactory extends Object implements AdvisorChainFactory, Serializable
A simple but definitive way of working out an advice chain for a Method, given an `Advised` object. Always rebuilds each advice chain; caching can be provided by subclasses.

Since:
  2.0.3
Author:
  Juergen Hoeller, Rod Johnson, Adrian Colyer
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final DefaultAdvisorChainFactory`
`INSTANCE`
Singleton instance of this class.

## Constructor Summary

Constructors
Constructor
Description
`DefaultAdvisorChainFactory()`

## Method Summary

Modifier and Type
Method
Description
`List<Object>`
`getInterceptorsAndDynamicInterceptionAdvice(Advised config, Method method, Class<?> targetClass)`
Determine a list of `MethodInterceptor` objects for the given advisor chain configuration.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANCE

public static final DefaultAdvisorChainFactory INSTANCE
Singleton instance of this class.

Since:
  6.0.10

## Constructor Details

### DefaultAdvisorChainFactory

public DefaultAdvisorChainFactory()

## Method Details

### getInterceptorsAndDynamicInterceptionAdvice

public List<Object> getInterceptorsAndDynamicInterceptionAdvice(Advised config, Method method, @Nullable Class<?> targetClass)
Description copied from interface: `AdvisorChainFactory`
Determine a list of `MethodInterceptor` objects for the given advisor chain configuration.

Specified by:
  `getInterceptorsAndDynamicInterceptionAdvice` in interface `AdvisorChainFactory`
Parameters:
  `config` - the AOP configuration in the form of an Advised object
  `method` - the proxied method
  `targetClass` - the target class (may be `null` to indicate a proxy without target object, in which case the method's declaring class is the next best option)
Returns:
  a List of MethodInterceptors (may also include InterceptorAndDynamicMethodMatchers)